> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer Status

> Use these details to get details of a particular transfer. You can pass referenceId or transferId to fetch the details.



## OpenAPI

````yaml get /payout/v1.1/getTransferStatus
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1.1/getTransferStatus:
    get:
      summary: Get Transfer Status
      description: >-
        Use these details to get details of a particular transfer. You can pass
        referenceId or transferId to fetch the details.
      operationId: get-transfer-status1
      parameters:
        - name: referenceId
          in: query
          description: >-
            Reference ID of the transaction. (Either referenceId or transferId
            is mandatory)
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: transferId
          in: query
          description: Transfer ID of the transaction.
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_19'
              examples:
                Case1:
                  summary: Transfer is successful
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Details of transfer with referenceId 200223467
                    data:
                      transfer:
                        transferId: sample01139
                        bankAccount: '000810139000385'
                        ifsc: YESB0MAN001
                        beneId: test_bene
                        amount: '1.2'
                        status: SUCCESS
                        utr: N351200478962883
                        addedOn: '2020-12-16T09:17:41.000Z'
                        processedOn: '2020-12-16T09:17:42.000Z'
                        transferMode: BANK
                        acknowledged: 1
                Case2:
                  summary: Transfer is not successful
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Details of transfer with referenceId 195460327
                    data:
                      transfer:
                        transferId: 1025fca380442d98
                        bankAccount: 20274048860
                        ifsc: SBIN0002207
                        beneId: TEST1234
                        amount: '1.1'
                        status: FAILED
                        addedOn: '2020-12-04T18:52:12.000Z'
                        processedOn: '2020-12-04T19:07:13.000Z'
                        reason: BENEFICIARY_BANK_OFFLINE
                        transferMode: BANK
                        acknowledged: 0
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_404_3'
      deprecated: false
      security: []
components:
  schemas:
    inline_response_200_19:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: Details of transfer with referenceId 200223467
        data:
          $ref: '#/components/schemas/inline_response_200_19_data'
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    inline_response_404_3:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '404'
        message:
          type: string
          example: referenceId is invalid or does not exist
    inline_response_200_19_data:
      type: object
      properties:
        transfer:
          $ref: '#/components/schemas/inline_response_200_19_data_transfer'
    inline_response_200_19_data_transfer:
      type: object
      properties:
        transferId:
          type: string
          example: sample01139
        bankAccount:
          type: string
          example: '000810139000385'
        ifsc:
          type: string
          example: YESB0MAN001
        beneId:
          type: string
          example: test_bene
        amount:
          type: string
          example: '1.2'
        status:
          type: string
          example: SUCCESS
        utr:
          type: string
          example: N351200478962883
        addedOn:
          type: string
          example: '2020-12-16T09:17:41.000Z'
        processedOn:
          type: string
          example: '2020-12-16T09:17:42.000Z'
        transferMode:
          type: string
          example: BANK
        acknowledged:
          type: integer
          example: 1
        reason:
          type: string
          example: BENEFICIARY_BANK_OFFLINE

````